[Buildroot] [PATCH] qt4 webkit: Disable for MIPS64 n32

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Mon Sep 8 12:51:43 UTC 2014


Dear Vicente Olivert Riera,

On Mon, 8 Sep 2014 13:17:15 +0100, Vicente Olivert Riera wrote:

>  config BR2_PACKAGE_QT_WEBKIT
>  	bool "WebKit Module"
> +	# qt-4.8.6 webkit: fails to compile on MIPS64 n32 platforms
> +	# https://bugreports.qt-project.org/browse/QTBUG-39224
> +	depends on !BR2_MIPS_NABI32
>  	depends on BR2_PACKAGE_QT_SHARED
>  	depends on BR2_PACKAGE_QT_GUI_MODULE
>  	depends on BR2_PACKAGE_QT_NETWORK

No. As explained in a separate thread, you should use
BR2_PACKAGE_QT_ARCH_SUPPORTS_WEBKIT.

Thomas
-- 
Thomas Petazzoni, CTO, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com


More information about the buildroot mailing list